package org.numamo.services.rcm.data.adapter.controller.v2x.api;


import io.swagger.annotations.ApiOperation;
import org.numamo.rcm.car.game.protocols.v2x.dto.resume.info.GetResumeInfoRq;
import org.numamo.services.rcm.data.adapter.model.v2x.dto.ResponseV2x;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import static org.numamo.services.rcm.data.adapter.config.PropNames.CALCULATE_RESUMES_BY_KEY_WORDS_V2X;


@RestController
public interface KeyWordsResumeController {


    @PostMapping(CALCULATE_RESUMES_BY_KEY_WORDS_V2X)
    @ApiOperation("The method executes the following steps: " +
            "1) Requesting RCM-data by keywords" +
            "2) Calculating custom procedures (2.x-version)")
    @ResponseBody
    ResponseV2x post(@RequestBody GetResumeInfoRq resumeInfoRq);


}
